html,
body {
    height: 100%;
    background: #f0f0f0;
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;
}

.container-centered {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 90vh;
}

.guest-box {
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
}

.site-index .logo-container,
.guest-box .logo-container {
    background-color: white;
    width: 650px;
    height: 145px;
    padding: 25px;
    border: 2px solid black;
}

.site-index .logo,
.guest-box .logo {
    background: url(/images/logo.svg) no-repeat;
    width: 600px;
    height: 95px;
}

.app .logo-container {
    width: 120px;
    margin: 0 auto;
}

.app .logo {
    background: url(/images/logo.svg) no-repeat;
    width: 120px;
    height: 19px;
}

.wrap>.container,
.wrap>.container-fluid {
    padding: 70px 15px 20px;
}

a.asc:after,
a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content:
        /*"\e113"*/
        "\e151";
}

a.desc:after {
    content:
        /*"\e114"*/
        "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th,
.grid-view td:last-child {
    white-space: nowrap;
}

.grid-view .filters input,
.grid-view .filters select {
    min-width: 50px;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

.nav li>form>button.logout {
    padding: 15px;
    border: none;
}

@media(max-width:767px) {
    .nav li>form>button.logout {
        display: block;
        text-align: left;
        width: 100%;
        padding: 10px 15px;
    }
}

.nav>li>form>button.logout:focus,
.nav>li>form>button.logout:hover {
    text-decoration: none;
}

.nav>li>form>button.logout:focus {
    outline: none;
}

.guest-box {
    width: 650px;
    background: white;
    padding: 25px;
}

h1 {
    font-size: 2rem;
    color: #5579C8;
    text-transform: uppercase;
    text-shadow: 1px 1px 1px #ddd;
}

.container-fluid h1 {
    margin-top: 0;
}

#content>.container-fluid {
    margin-top: 10px;
}

.btn-home {
    font-size: 2rem;
    position: fixed;
    left: 25px;
    top: 25px;
    border: 2px solid;
    padding: 5px;
}

#topmenu {
    background-color: #344C86;
    color: #fff;
    padding: 0;
    margin: 0;
    height: 50px;
    border-bottom: 5px solid #669CC2;
    display: flex;
}

#topmenu .logo-container {
    background: white;
    height: 45px;
    width: 250px;
    margin-right: 15px;
}

#topmenu .logo {
    background: url(/images/logo.svg) no-repeat center center;
    background-size: contain;
    height: 34px;
    margin-top: 5px;
}

#topmenu .breadcrumb-container {
    height: 45px;
    line-height: 45px;
}

#topmenu .breadcrumb-container a {
    color: #fff;
}

.breadcrumb-item+.breadcrumb-item::before {
    color: white;
}

.breadcrumb-item.active {
    color: white;
    font-weight: bold;
}

.wrapper-inner {
    display: flex;
    width: 100%;
}

#sidebar {
    background-color: #4E75AD;
    width: 250px;
    position: fixed;
    padding-top: 50px;
    left: 0;
    height: 100vh;
    z-index: 999;
}

#sidebar .main {
    background-color: #E03C34;
    margin-bottom: 2px;
}

#sidebar .main>a {
    text-transform: uppercase;
}

#sidebar a {
    color: #fff;
    padding: 10px;
    display: block;
}

#sidebar .active>a {
    font-weight: bold;
}

#sidebar .sub {
    background-color: #FF983C;
    margin-bottom: 2px;
}

#sidebar .sub a {
    padding-left: 20px;
}

#sidebar .dropdown-divider {
    border: none;
}

#content {
    margin-top: 50px;
    margin-left: 250px;
    padding-bottom: 40px;
    flex-grow: 1;
}

.not-set {
    color: #c55;
    font-style: italic;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

.help-block {
    color: red;
}

pre {
    white-space: pre-wrap;
}

::placeholder {
    opacity: 1;
    color: #ccc !important;
}

h1 {
    margin-top: 10px;
    margin-bottom: 10px;
}

.card h5 {
    margin-bottom: 0;
}

.card {
    margin-bottom: 15px;
}

.card-body table:last-child,
.card-body .form-group:last-child,
.guest-box .form-group:last-child {
    margin-bottom: 0;
}

.table.detail-view tbody tr:first-child td,
.table.detail-view tbody tr:first-child th {
    border-top: 0;
}

.json-table pre {
    margin-bottom: 0;
}

.alert p:last-child {
    margin-bottom: 0;
}

.select2-container--krajee-bs4 .select2-selection--single {
    height: 2.2rem;
}

.select2-container .select2-selection--single .select2-selection__rendered {
    text-overflow: inherit;
}

.select2-container--krajee-bs4 .select2-selection__clear {
    color: red;
    margin-top: -6px;
}

.action-column {
    white-space: nowrap;
}

textarea.form-control.auto-grow {
    overflow: hidden;
    resize: none;
    min-height: 20px;
}

.breadcrumb {
    background-color: transparent;
    padding: 0;
    margin: 0;
    border: none;
}

.main-title {
    display: flex;
}

.main-title .redirect {
    display: flex;
    align-items: center;
    margin-right: 15px;
}

.bg-secondary {
    background-color: #f8f8f8 !important;
}

.opacity-50 {
    opacity: 0.5;
}

.user-login-container {
    position: absolute;
    right: 15px;
    color: white;
    line-height: 45px;
}

.user-login-container span {
    font-weight: bold;
}